/*******************************************************************************
 * Copyright 2012 Pearson Education
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.semantictools.jsonld.io.impl;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.StringReader;

import org.junit.Test;
import static org.junit.Assert.*;

import org.semantictools.jsonld.LdAsset;

public class LdAssetReaderImplTest {

  @Test
  public void test() throws IOException {
    
    String text = 
        "{\n" +
        "  \"@context\" : {\n" +
        "    \"@id\" : \"http://foo.example.com\"\n" +
        "  },\n" +
        "  \"@id\" : \"http://bar.example.com\"\n" +
        "}"
        ;
    
    BufferedReader buffer = new BufferedReader(new StringReader(text));
    LdAssetReaderImpl reader = new LdAssetReaderImpl();
    LdAsset asset = reader.readAsset(buffer, false);
    String uri = asset.getURI();
    assertEquals("http://bar.example.com", uri);
   
  }

}
